Package com.ocient.jdbc

# Class XGTuple

java.lang.Object
com.ocient.jdbc.XGTuple

All Implemented Interfaces:
  `Struct`

public final class XGTuple extends Object implements Struct

## Constructor Summary

Constructors
Constructor
Description
`XGTuple(String typeName, Object[] attributes, XGConnection conn)`
Constructor used by XGConnection.createStruct to build a java.sql.Struct from client-provided data.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Object[]`
`getAttributes()`
`Object[]`
`getAttributes(Map<String,Class<?>> map)`
`final Object`
`getObject(int columnIndex)`
`final <T> T`
`getObject(int columnIndex, Class<T> type)`
`final Object`
`getObject(int columnIndex, Map<String,Class<?>> map)`
`String`
`getSQLTypeName()`
`int`
`hashCode()`
`final int`
`size()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XGTuple

public XGTuple(String typeName, Object[] attributes, XGConnection conn) throws SQLException
Constructor used by XGConnection.createStruct to build a java.sql.Struct from client-provided data.

Parameters:
  `typeName` - The full SQL type name of the tuple (e.g., "TUPLEinvalid input: '<'a INT, b VARCHAR>").
  `attributes` - The array of attribute objects.
  `conn` - The parent connection object.
Throws:
  `SQLException`

## Method Details

### getSQLTypeName

public String getSQLTypeName() throws SQLException

Specified by:
  `getSQLTypeName` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes() throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes(Map<String,Class<?>> map) throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getObject

public final Object getObject(int columnIndex, Map<String,Class<?>> map) throws SQLException

Throws:
  `SQLException`

### getObject

public final Object getObject(int columnIndex) throws SQLException

Throws:
  `SQLException`

### getObject

public final <T> T getObject(int columnIndex, Class<T> type) throws SQLException

Throws:
  `SQLException`

### size

public final int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`